#ifndef GPXI3116_HEADER
#define GPXI3116_HEADER

/*-------------------------------------------------------------------------*/
/* Defines                                                                 */
/*-------------------------------------------------------------------------*/
#define K_DEV_MAX     12

/*-------------------------------------------------------------------------*/
/* Typedefs                                                                */
/*-------------------------------------------------------------------------*/
typedef struct
	{
	unsigned long Version;
	unsigned char DevCount;
	unsigned char DevIndexes[K_DEV_MAX];
	} GPxi3116_StructDriverInfo;

/*-------------------------------------------------------------------------*/
/* Functions                                                               */
/*-------------------------------------------------------------------------*/
int GPxi3116_GetDriverInfo(GPxi3116_StructDriverInfo* DriverInfo);

int GPxi3116_SetRelayConf(unsigned int, unsigned int);
int GPxi3116_SetRelayConfMask(unsigned int, unsigned int, unsigned int);
int GPxi3116_GetRelayConf(unsigned int, unsigned int*);
int GPxi3116_UpdateRelay(unsigned int);

#endif